Bug 391792 - KNS screenshots have 1:1 aspect ratios and tiny thumbnails
Summary: KNS screenshots have 1:1 aspect ratios and tiny thumbnails
Status: RESOLVED FIXED
Alias: None
Product: Discover
Classification: Unclassified
Component: KNewStuff Backend (show other bugs)
Version: unspecified
Platform: Other Linux
: NOR normal
Target Milestone: ---
Assignee: Aleix Pol
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2018-03-13 02:38 UTC by Nate Graham
Modified: 2018-03-16 11:30 UTC (History)
2 users (show)

See Also:
Latest Commit:
Version Fixed In:


Attachments
Tiny thumbnails (122.80 KB, image/png)
2018-03-13 02:38 UTC, Nate Graham
Details
screenshots forced to 1:1 aspect ratio (379.00 KB, image/png)
2018-03-13 02:39 UTC, Nate Graham
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Nate Graham 2018-03-13 02:38:39 UTC
Created attachment 111356 [details]
Tiny thumbnails

Bug 391190 fixed Discover so it now displays screenshots for KNS resources. Unfortunately, they're all forced to an aspect ratio of 1:1, and their thumbnails are tiny. See attached screenshots. All KNS resources seem affected.
Comment 1 Nate Graham 2018-03-13 02:39:08 UTC
Created attachment 111357 [details]
screenshots forced to 1:1 aspect ratio
Comment 2 Dan Leinir Turthra Jensen 2018-03-13 11:08:55 UTC
What we've got here are two different issues. The last one first:

It seems that the KDE Store is providing something a little odd when you request the previews. The specific example shown here is Arc, and the thumbnail requested via OCS is
https://cn.pling.com/cache/770x540/img/f/3/6/9/090ea1ab91bedab023d852189e47e2f4d475.png
What is suggested in the URL is that it should be a 770x540 image, but what is actually returned is 770x770, and just plain incorrect, both technically and semantically. So, I'll forward this bug to the Store team, see if they can sort that for us :)

For the second one, it seems as though SmallPreview is used (which is indeed thumbnails, but they're supposed to be kind of small, and what's in Discover is, quite distinctly, not small thumbnails...) So, don't use the intentionally icon-sized thumbnails when what you want is a medium-sized preview (use the full size previews in that list instead - i realise that having a middle point would be useful and whatnot, but such an option does not exist in OCS). In other words: The code was correct for the original design, when the preview images on application pages were small, but as the design has changed and requires large previews, that is no longer the case.
Comment 3 Dan Leinir Turthra Jensen 2018-03-16 11:30:25 UTC
As the main issue reported of the 1:1 previews is now fixed, i'll close the bug. The second issue also needs sorting, but as it's a sort of notabug type situation it needs another thing to be able to track it anyway (or we just need to discuss that and make a choice).